--
-- © Copyright Peregrine I.T. Pty Ltd 2004-2018 except where explicitly stated otherwise.
-- Fantasy Grounds is Copyright © 2004-2018 SmiteWorks USA LLC.
-- Copyright to other material within this file may be held by other Individuals and/or Entities.
-- Nothing in or from this LUA file in printed, electronic and/or any other form may be used, copied,
--	transmitted or otherwise manipulated in ANY way without the explicit written consent of
--	Peregrine I.T. Pty Ltd or, where applicable, any and all other Copyright holders.
-- Please see the accompanying License for full details.
-- All rights reserved.
--
-- Called By: wcWeatherDetails in xWeatherWindowClasses.xml
--

function onInit()
	fpUpdate();
end

function fpUpdate()
	local bReadOnly = MiscFunctions.fpGetReadOnlyState(getDatabaseNode());
	local bShowCal = (parentcontrol.window.swMain.subwindow.bUseCal.getValue() == 1);
--	local bShowCal = (parentcontrol.window.swMain.subwindow.bUseCal.getValue() == 1 or parentcontrol.window.swMain.subwindow.bUseCal.getValue() == true);
	sCalendar.setAnchor("right","gAnchorRight","left","",-70);
	sSumSolDate.setAnchor("right","gAnchorRight","left","",-95);
	sSumSolDate.setFrame("fieldlight",7,5,7,5);
	if bReadOnly then
		sCalendar.setAnchor("right","gAnchorRight","left","",-12);
		sSumSolDate.setAnchor("right","gAnchorRight","left","",-12);
		sSumSolDate.setFrame(nil);
	end
	sYearMeasure.setComboBoxReadOnly(bReadOnly);
	sDayMeasure.setComboBoxReadOnly(bReadOnly);
	sLatHemisphere.setComboBoxReadOnly(bReadOnly);
	sAltitudeMeasure.setComboBoxReadOnly(bReadOnly);
	sTemperature.setComboBoxReadOnly(bReadOnly);
	sSpinDirection.setComboBoxReadOnly(bReadOnly);
	sWetness.setComboBoxReadOnly(bReadOnly);
	sClimate.setComboBoxReadOnly(bReadOnly);
	sTerrain.setComboBoxReadOnly(bReadOnly);
	local bHideCal = (sCalendar.getValue() == Interface.getString("sNoneSetStr") and bReadOnly);
	MiscFunctions.fpUpdateCtrl(self,"sCalendar",bReadOnly,bHideCal);
	btUseCampCal.setVisible(not bReadOnly)
	nDaysInYear.setReadOnly(bReadOnly);
	nHoursInDay.setReadOnly(bReadOnly);
	sSumSolDate.setVisible(bShowCal and (sSumSolDate.getValue() ~= Interface.getString("sNoneSetStr") or not bReadOnly));
	sSumSolDateLabel.setVisible(sSumSolDate.isVisible());
	btGetSumSolDate.setVisible(bShowCal and not bReadOnly)
	nSumSolDay.setVisible(not bShowCal and (nSumSolDay.getValue() ~= 0 or not bReadOnly));
	nSumSolDay.setReadOnly(bReadOnly);
	nSumSolDayLabel.setVisible(nSumSolDay.isVisible());
	nTilt.setReadOnly(bReadOnly);
	bIsPlane.setReadOnly(bReadOnly);
	nLatitude.setReadOnly(bReadOnly);
	snAltitude.setReadOnly(bReadOnly);
	nDie1.setReadOnly(bReadOnly);
	nDie2.setReadOnly(bReadOnly);
	nDie3.setReadOnly(bReadOnly);
	nDie4.setReadOnly(bReadOnly);
	nDie5.setReadOnly(bReadOnly);
	nDie6.setReadOnly(bReadOnly);
	MiscFunctions.fpUpdateCtrl(self,"fsGMNotes",bReadOnly);
	bIsPlane.onValueChanged();
end
