--
-- © Copyright Peregrine I.T. Pty Ltd 2004-2018 except where explicitly stated otherwise.
-- Fantasy Grounds is Copyright © 2004-2018 SmiteWorks USA LLC.
-- Copyright to other material within this file may be held by other Individuals and/or Entities.
-- Nothing in or from this LUA file in printed, electronic and/or any other form may be used, copied,
--	transmitted or otherwise manipulated in ANY way without the explicit written consent of
--	Peregrine I.T. Pty Ltd or, where applicable, any and all other Copyright holders.
-- Please see the accompanying License for full details.
-- All rights reserved.
--
-- Called By: xWeatherFiles.xml
--

aHumidityTable = {};
aHumidityWindTable = {};
aRainTable = {};
aSpecialWeatherTable = {};
aTempTable = {};

function onInit()
	fpCreateHumidityTable();
	fpCreateHumidityWindTable();
	fpCreateRainTable();
	fpCreateSpecialWeatherTable();
	fpCreateTempTable();
end

function fpCreateHumidityTable()
	aHumidityTable[Interface.getString("sClimateSubarcticStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["winter"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["spring"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["summer"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["autumn"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["winter"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["spring"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["summer"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["winter"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["spring"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["summer"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")]["marsh"] = {};
	aHumidityTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["winter"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["spring"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["summer"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["autumn"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")] = {};
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")] = {};
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["summer"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["autumn"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")] = {};
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")] = {};
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["winter"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["spring"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["summer"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")]["marsh"] = {};
	aHumidityTable[Interface.getString("sClimateTemperateStr")]["marsh"]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")]["marsh"]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")]["marsh"]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTemperateStr")]["marsh"]["autumn"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["winter"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = Interface.getString("sHumidityLowStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")] = {};
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")]["marsh"] = {};
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["autumn"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")] = {};
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")] = {};
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["winter"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")] = {};
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")] = {};
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")]["marsh"] = {};
	aHumidityTable[Interface.getString("sClimateTropicalStr")]["marsh"]["winter"] = Interface.getString("sHumidityMediumStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")]["marsh"]["spring"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")]["marsh"]["summer"] = Interface.getString("sHumidityHeavyStr");
	aHumidityTable[Interface.getString("sClimateTropicalStr")]["marsh"]["autumn"] = Interface.getString("sHumidityHeavyStr");
end

function fpCreateHumidityWindTable()
	aHumidityWindTable[6] = {};
	aHumidityWindTable[6][Interface.getString("sHumidityLowStr")] = {};
	aHumidityWindTable[6][Interface.getString("sHumidityLowStr")][1] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityLowStr")][2] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityLowStr")][3] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityLowStr")][4] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityLowStr")][5] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityMediumStr")] = {};
	aHumidityWindTable[6][Interface.getString("sHumidityMediumStr")][1] = 5;
	aHumidityWindTable[6][Interface.getString("sHumidityMediumStr")][2] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityMediumStr")][3] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityMediumStr")][4] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityMediumStr")][5] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityHeavyStr")] = {};
	aHumidityWindTable[6][Interface.getString("sHumidityHeavyStr")][1] = 10;
	aHumidityWindTable[6][Interface.getString("sHumidityHeavyStr")][2] = 5;
	aHumidityWindTable[6][Interface.getString("sHumidityHeavyStr")][3] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityHeavyStr")][4] = 0;
	aHumidityWindTable[6][Interface.getString("sHumidityHeavyStr")][5] = 0;
	aHumidityWindTable[6][Interface.getString("sHumiditySaturatedStr")] = {};
	aHumidityWindTable[6][Interface.getString("sHumiditySaturatedStr")][1] = 10;
	aHumidityWindTable[6][Interface.getString("sHumiditySaturatedStr")][2] = 5;
	aHumidityWindTable[6][Interface.getString("sHumiditySaturatedStr")][3] = 0;
	aHumidityWindTable[6][Interface.getString("sHumiditySaturatedStr")][4] = 0;
	aHumidityWindTable[6][Interface.getString("sHumiditySaturatedStr")][5] = 0;
	aHumidityWindTable[7] = {};
	aHumidityWindTable[7][Interface.getString("sHumidityLowStr")] = {};
	aHumidityWindTable[7][Interface.getString("sHumidityLowStr")][1] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityLowStr")][2] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityLowStr")][3] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityLowStr")][4] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityLowStr")][5] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityMediumStr")] = {};
	aHumidityWindTable[7][Interface.getString("sHumidityMediumStr")][1] = 5;
	aHumidityWindTable[7][Interface.getString("sHumidityMediumStr")][2] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityMediumStr")][3] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityMediumStr")][4] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityMediumStr")][5] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityHeavyStr")] = {};
	aHumidityWindTable[7][Interface.getString("sHumidityHeavyStr")][1] = 10;
	aHumidityWindTable[7][Interface.getString("sHumidityHeavyStr")][2] = 5;
	aHumidityWindTable[7][Interface.getString("sHumidityHeavyStr")][3] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityHeavyStr")][4] = 0;
	aHumidityWindTable[7][Interface.getString("sHumidityHeavyStr")][5] = 0;
	aHumidityWindTable[7][Interface.getString("sHumiditySaturatedStr")] = {};
	aHumidityWindTable[7][Interface.getString("sHumiditySaturatedStr")][1] = 10;
	aHumidityWindTable[7][Interface.getString("sHumiditySaturatedStr")][2] = 5;
	aHumidityWindTable[7][Interface.getString("sHumiditySaturatedStr")][3] = 5;
	aHumidityWindTable[7][Interface.getString("sHumiditySaturatedStr")][4] = 0;
	aHumidityWindTable[7][Interface.getString("sHumiditySaturatedStr")][5] = 0;
	aHumidityWindTable[8] = {};
	aHumidityWindTable[8][Interface.getString("sHumidityLowStr")] = {};
	aHumidityWindTable[8][Interface.getString("sHumidityLowStr")][1] = 5;
	aHumidityWindTable[8][Interface.getString("sHumidityLowStr")][2] = 0;
	aHumidityWindTable[8][Interface.getString("sHumidityLowStr")][3] = 0;
	aHumidityWindTable[8][Interface.getString("sHumidityLowStr")][4] = 0;
	aHumidityWindTable[8][Interface.getString("sHumidityLowStr")][5] = 0;
	aHumidityWindTable[8][Interface.getString("sHumidityMediumStr")] = {};
	aHumidityWindTable[8][Interface.getString("sHumidityMediumStr")][1] = 5;
	aHumidityWindTable[8][Interface.getString("sHumidityMediumStr")][2] = 5;
	aHumidityWindTable[8][Interface.getString("sHumidityMediumStr")][3] = 0;
	aHumidityWindTable[8][Interface.getString("sHumidityMediumStr")][4] = 0;
	aHumidityWindTable[8][Interface.getString("sHumidityMediumStr")][5] = 0;
	aHumidityWindTable[8][Interface.getString("sHumidityHeavyStr")] = {};
	aHumidityWindTable[8][Interface.getString("sHumidityHeavyStr")][1] = 10;
	aHumidityWindTable[8][Interface.getString("sHumidityHeavyStr")][2] = 5;
	aHumidityWindTable[8][Interface.getString("sHumidityHeavyStr")][3] = 5;
	aHumidityWindTable[8][Interface.getString("sHumidityHeavyStr")][4] = 0;
	aHumidityWindTable[8][Interface.getString("sHumidityHeavyStr")][5] = 0;
	aHumidityWindTable[8][Interface.getString("sHumiditySaturatedStr")] = {};
	aHumidityWindTable[8][Interface.getString("sHumiditySaturatedStr")][1] = 15;
	aHumidityWindTable[8][Interface.getString("sHumiditySaturatedStr")][2] = 10;
	aHumidityWindTable[8][Interface.getString("sHumiditySaturatedStr")][3] = 5;
	aHumidityWindTable[8][Interface.getString("sHumiditySaturatedStr")][4] = 0;
	aHumidityWindTable[8][Interface.getString("sHumiditySaturatedStr")][5] = 0;
	aHumidityWindTable[9] = {};
	aHumidityWindTable[9][Interface.getString("sHumidityLowStr")] = {};
	aHumidityWindTable[9][Interface.getString("sHumidityLowStr")][1] = 5;
	aHumidityWindTable[9][Interface.getString("sHumidityLowStr")][2] = 5;
	aHumidityWindTable[9][Interface.getString("sHumidityLowStr")][3] = 0;
	aHumidityWindTable[9][Interface.getString("sHumidityLowStr")][4] = 0;
	aHumidityWindTable[9][Interface.getString("sHumidityLowStr")][5] = 0;
	aHumidityWindTable[9][Interface.getString("sHumidityMediumStr")] = {};
	aHumidityWindTable[9][Interface.getString("sHumidityMediumStr")][1] = 10;
	aHumidityWindTable[9][Interface.getString("sHumidityMediumStr")][2] = 5;
	aHumidityWindTable[9][Interface.getString("sHumidityMediumStr")][3] = 5;
	aHumidityWindTable[9][Interface.getString("sHumidityMediumStr")][4] = 0;
	aHumidityWindTable[9][Interface.getString("sHumidityMediumStr")][5] = 0;
	aHumidityWindTable[9][Interface.getString("sHumidityHeavyStr")] = {};
	aHumidityWindTable[9][Interface.getString("sHumidityHeavyStr")][1] = 15;
	aHumidityWindTable[9][Interface.getString("sHumidityHeavyStr")][2] = 10;
	aHumidityWindTable[9][Interface.getString("sHumidityHeavyStr")][3] = 5;
	aHumidityWindTable[9][Interface.getString("sHumidityHeavyStr")][4] = 5;
	aHumidityWindTable[9][Interface.getString("sHumidityHeavyStr")][5] = 0;
	aHumidityWindTable[9][Interface.getString("sHumiditySaturatedStr")] = {};
	aHumidityWindTable[9][Interface.getString("sHumiditySaturatedStr")][1] = 20;
	aHumidityWindTable[9][Interface.getString("sHumiditySaturatedStr")][2] = 15;
	aHumidityWindTable[9][Interface.getString("sHumiditySaturatedStr")][3] = 10;
	aHumidityWindTable[9][Interface.getString("sHumiditySaturatedStr")][4] = 5;
	aHumidityWindTable[9][Interface.getString("sHumiditySaturatedStr")][5] = 0;
	aHumidityWindTable[10] = {};
	aHumidityWindTable[10][Interface.getString("sHumidityLowStr")] = {};
	aHumidityWindTable[10][Interface.getString("sHumidityLowStr")][1] = 10;
	aHumidityWindTable[10][Interface.getString("sHumidityLowStr")][2] = 5;
	aHumidityWindTable[10][Interface.getString("sHumidityLowStr")][3] = 0;
	aHumidityWindTable[10][Interface.getString("sHumidityLowStr")][4] = 0;
	aHumidityWindTable[10][Interface.getString("sHumidityLowStr")][5] = 0;
	aHumidityWindTable[10][Interface.getString("sHumidityMediumStr")] = {};
	aHumidityWindTable[10][Interface.getString("sHumidityMediumStr")][1] = 15;
	aHumidityWindTable[10][Interface.getString("sHumidityMediumStr")][2] = 10;
	aHumidityWindTable[10][Interface.getString("sHumidityMediumStr")][3] = 5;
	aHumidityWindTable[10][Interface.getString("sHumidityMediumStr")][4] = 5;
	aHumidityWindTable[10][Interface.getString("sHumidityMediumStr")][5] = 0;
	aHumidityWindTable[10][Interface.getString("sHumidityHeavyStr")] = {};
	aHumidityWindTable[10][Interface.getString("sHumidityHeavyStr")][1] = 20;
	aHumidityWindTable[10][Interface.getString("sHumidityHeavyStr")][2] = 15;
	aHumidityWindTable[10][Interface.getString("sHumidityHeavyStr")][3] = 10;
	aHumidityWindTable[10][Interface.getString("sHumidityHeavyStr")][4] = 5;
	aHumidityWindTable[10][Interface.getString("sHumidityHeavyStr")][5] = 5;
	aHumidityWindTable[10][Interface.getString("sHumiditySaturatedStr")] = {};
	aHumidityWindTable[10][Interface.getString("sHumiditySaturatedStr")][1] = 25;
	aHumidityWindTable[10][Interface.getString("sHumiditySaturatedStr")][2] = 20;
	aHumidityWindTable[10][Interface.getString("sHumiditySaturatedStr")][3] = 15;
	aHumidityWindTable[10][Interface.getString("sHumiditySaturatedStr")][4] = 10;
	aHumidityWindTable[10][Interface.getString("sHumiditySaturatedStr")][5] = 5;
end

function fpCreateRainTable()
	aRainTable[Interface.getString("sClimateArcticStr")] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["winter"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["spring"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["spring"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["spring"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["summer"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["summer"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["summer"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["autumn"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["autumn"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["winter"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["spring"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["summer"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["winter"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["winter"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["winter"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["winter"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["winter"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["winter"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["winter"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["spring"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["spring"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["spring"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["summer"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["summer"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["summer"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["summer"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["autumn"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTemperateStr")]["marsh"]["autumn"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["b"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountDownpourStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountDownpourStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountDownpourStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["winter"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["winter"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["winter"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["winter"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["spring"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["spring"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["spring"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["spring"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["summer"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["summer"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["summer"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["summer"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["autumn"] = {};
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["autumn"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["autumn"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountDownpourStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountDownpourStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountDownpourStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountDownpourStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["b"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["c"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["b"] = Interface.getString("sPrecipitationAmountDownpourStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["a"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["b"] = Interface.getString("sPrecipitationAmountDownpourStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["c"] = Interface.getString("sPrecipitationAmountDownpourStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["winter"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["winter"]["a"] = Interface.getString("sNoneStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["winter"]["b"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["winter"]["c"] = Interface.getString("sPrecipitationAmountTraceStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["spring"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["spring"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["spring"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["spring"]["c"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["summer"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["summer"]["a"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["summer"]["b"] = Interface.getString("sPrecipitationAmountHeavyStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["summer"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["autumn"] = {};
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["autumn"]["a"] = Interface.getString("sPrecipitationAmountLightStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["autumn"]["b"] = Interface.getString("sPrecipitationAmountModerateStr");
	aRainTable[Interface.getString("sClimateTropicalStr")]["marsh"]["autumn"]["c"] = Interface.getString("sPrecipitationAmountModerateStr");
end

function fpCreateSpecialWeatherTable()
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["winter"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["spring"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["summer"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["summer"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["summer"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["summer"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["autumn"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")]["autumn"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["winter"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["summer"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["c"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["summer"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["summer"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["summer"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["summer"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["autumn"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubarcticStr")]["marsh"]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["winter"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["spring"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["summer"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["summer"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["a"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["summer"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["summer"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["autumn"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["winter"]["a"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["spring"]["a"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["spring"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["spring"]["d"] = "t";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["summer"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["b"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["c"] = "t";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["spring"]["a"] = "c";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["summer"]["a"] = "c";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["summer"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["summer"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["summer"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["autumn"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTemperateStr")]["marsh"]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["a"] = "q";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["b"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["a"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["d"] = "t";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["d"] = "t";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["a"] = "c";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["a"] = "c";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["a"] = "c";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["spring"]["a"] = "c";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["summer"]["a"] = "c";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["summer"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["autumn"]["a"] = "c";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateSubtropicalStr")]["marsh"]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["b"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["spring"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["summer"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")]["autumn"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["a"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["summer"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")]["autumn"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["a"] = "s";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["summer"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")]["autumn"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["c"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["winter"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["spring"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["a"] = "c";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["b"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")]["autumn"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["winter"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["winter"]["a"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["winter"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["winter"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["winter"]["d"] = "d";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["spring"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["spring"]["a"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["spring"]["b"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["spring"]["c"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["spring"]["d"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["summer"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["summer"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["summer"]["b"] = "g";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["summer"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["summer"]["d"] = "z";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["autumn"] = {};
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["autumn"]["a"] = "x";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["autumn"]["b"] = "a";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["autumn"]["c"] = "m";
	aSpecialWeatherTable[Interface.getString("sClimateTropicalStr")]["marsh"]["autumn"]["d"] = "z";
end

function fpCreateTempTable()
	aTempTable[Interface.getString("sClimateArcticStr")] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][1] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][1]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][1]["low"] = -20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][1]["high"] = -5;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][1]["max"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][2] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][2]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][2]["low"] = -30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][2]["high"] = -15;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][2]["max"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][3] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][3]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][3]["low"] = -20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][3]["high"] = -5;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][3]["max"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][4] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][4]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][4]["low"] = 0;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][4]["high"] = 10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][4]["max"] = 40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][5] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][5]["min"] = -20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][5]["low"] = 10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][5]["high"] = 25;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][5]["max"] = 50;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][6] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][6]["min"] = 10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][6]["low"] = 20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][6]["high"] = 40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][6]["max"] = 70;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][7] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][7]["min"] = 20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][7]["low"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][7]["high"] = 50;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][7]["max"] = 75;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][8] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][8]["min"] = 20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][8]["low"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][8]["high"] = 50;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][8]["max"] = 70;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][9] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][9]["min"] = 0;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][9]["low"] = 15;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][9]["high"] = 35;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][9]["max"] = 60;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][10] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][10]["min"] = -20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][10]["low"] = 10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][10]["high"] = 25;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][10]["max"] = 40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][11] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][11]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][11]["low"] = 0;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][11]["high"] = 10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][11]["max"] = 35;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][12] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][12]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][12]["low"] = -20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][12]["high"] = -5;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainCoastStr")][12]["max"] = 35;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][1] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][1]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][1]["low"] = -30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][1]["high"] = -15;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][1]["max"] = 25;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][2] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][2]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][2]["low"] = -30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][2]["high"] = -15;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][2]["max"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][3] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][3]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][3]["low"] = -20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][3]["high"] = -5;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][3]["max"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][4] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][4]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][4]["low"] = 0;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][4]["high"] = 10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][4]["max"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][5] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][5]["min"] = -20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][5]["low"] = 10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][5]["high"] = 25;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][5]["max"] = 50;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][6] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][6]["min"] = 10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][6]["low"] = 20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][6]["high"] = 40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][6]["max"] = 60;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][7] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][7]["min"] = 20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][7]["low"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][7]["high"] = 50;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][7]["max"] = 70;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][8] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][8]["min"] = 20;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][8]["low"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][8]["high"] = 50;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][8]["max"] = 65;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][9] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][9]["min"] = 10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][9]["low"] = 15;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][9]["high"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][9]["max"] = 50;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][10] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][10]["min"] = -10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][10]["low"] = 10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][10]["high"] = 25;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][10]["max"] = 40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][11] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][11]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][11]["low"] = -10;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][11]["high"] = 0;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][11]["max"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][12] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][12]["min"] = -40;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][12]["low"] = -30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][12]["high"] = -15;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainDesertStr")][12]["max"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][1] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][1]["min"] = -34;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][1]["low"] = -24;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][1]["high"] = -9;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][1]["max"] = 16;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][2] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][2]["min"] = -34;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][2]["low"] = -24;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][2]["high"] = -9;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][2]["max"] = 6;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][3] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][3]["min"] = -34;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][3]["low"] = -14;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][3]["high"] = 1;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][3]["max"] = 24;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][4] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][4]["min"] = -34;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][4]["low"] = -4;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][4]["high"] = 6;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][4]["max"] = 31;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][5] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][5]["min"] = -24;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][5]["low"] = 6;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][5]["high"] = 16;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][5]["max"] = 41;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][6] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][6]["min"] = -14;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][6]["low"] = 16;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][6]["high"] = 24;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][6]["max"] = 41;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][7] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][7]["min"] = -4;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][7]["low"] = 16;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][7]["high"] = 31;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][7]["max"] = 66;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][8] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][8]["min"] = -4;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][8]["low"] = 16;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][8]["high"] = 31;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][8]["max"] = 56;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][9] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][9]["min"] = -14;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][9]["low"] = 16;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][9]["high"] = 24;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][9]["max"] = 46;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][10] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][10]["min"] = -14;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][10]["low"] = 6;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][10]["high"] = 16;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][10]["max"] = 36;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][11] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][11]["min"] = -24;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][11]["low"] = 6;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][11]["high"] = 16;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][11]["max"] = 36;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][12] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][12]["min"] = -34;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][12]["low"] = -14;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][12]["high"] = 1;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainHillsStr")][12]["max"] = 16;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][1] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][1]["min"] = -28;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][1]["low"] = -18;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][1]["high"] = -3;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][1]["max"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][2] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][2]["min"] = -28;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][2]["low"] = -18;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][2]["high"] = -3;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][2]["max"] = 12;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][3] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][3]["min"] = -28;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][3]["low"] = -8;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][3]["high"] = 7;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][3]["max"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][4] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][4]["min"] = -28;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][4]["low"] = 2;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][4]["high"] = 12;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][4]["max"] = 37;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][5] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][5]["min"] = -18;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][5]["low"] = 12;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][5]["high"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][5]["max"] = 47;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][6] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][6]["min"] = -8;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][6]["low"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][6]["high"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][6]["max"] = 47;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][7] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][7]["min"] = 2;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][7]["low"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][7]["high"] = 37;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][7]["max"] = 72;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][8] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][8]["min"] = 2;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][8]["low"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][8]["high"] = 37;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][8]["max"] = 62;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][9] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][9]["min"] = -8;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][9]["low"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][9]["high"] = 30;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][9]["max"] = 52;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][10] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][10]["min"] = -8;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][10]["low"] = 12;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][10]["high"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][10]["max"] = 42;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][11] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][11]["min"] = -18;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][11]["low"] = 12;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][11]["high"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][11]["max"] = 42;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][12] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][12]["min"] = -28;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][12]["low"] = -8;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][12]["high"] = 7;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainMountainsStr")][12]["max"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][1] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][1]["min"] = -38;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][1]["low"] = -28;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][1]["high"] = -13;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][1]["max"] = 27;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][2] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][2]["min"] = -38;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][2]["low"] = -28;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][2]["high"] = -13;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][2]["max"] = 32;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][3] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][3]["min"] = -38;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][3]["low"] = -18;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][3]["high"] = -3;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][3]["max"] = 32;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][4] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][4]["min"] = -38;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][4]["low"] = 2;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][4]["high"] = 12;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][4]["max"] = 32;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][5] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][5]["min"] = -18;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][5]["low"] = 12;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][5]["high"] = 27;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][5]["max"] = 52;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][6] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][6]["min"] = 12;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][6]["low"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][6]["high"] = 42;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][6]["max"] = 62;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][7] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][7]["min"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][7]["low"] = 32;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][7]["high"] = 52;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][7]["max"] = 72;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][8] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][8]["min"] = 22;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][8]["low"] = 32;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][8]["high"] = 52;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][8]["max"] = 67;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][9] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][9]["min"] = 12;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][9]["low"] = 17;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][9]["high"] = 32;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][9]["max"] = 52;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][10] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][10]["min"] = -8;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][10]["low"] = 12;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][10]["high"] = 27;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][10]["max"] = 42;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][11] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][11]["min"] = -38;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][11]["low"] = -8;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][11]["high"] = 2;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][11]["max"] = 32;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][12] = {};
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][12]["min"] = -38;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][12]["low"] = -28;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][12]["high"] = -13;
	aTempTable[Interface.getString("sClimateArcticStr")][Interface.getString("sTerrainPlainsStr")][12]["max"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][1]["min"] = -30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][1]["low"] = 10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][1]["high"] = 18;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][1]["max"] = 50;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][2]["min"] = -30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][2]["low"] = 10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][2]["high"] = 25;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][2]["max"] = 50;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][3]["min"] = -20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][3]["low"] = 15;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][3]["high"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][3]["max"] = 50;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][4]["min"] = -10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][4]["low"] = 20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][4]["high"] = 40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][4]["max"] = 65;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][5]["min"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][5]["low"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][5]["high"] = 50;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][5]["max"] = 70;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][6]["min"] = 20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][6]["low"] = 40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][6]["high"] = 60;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][6]["max"] = 80;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][7]["min"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][7]["low"] = 45;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][7]["high"] = 65;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][7]["max"] = 80;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][8]["min"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][8]["low"] = 45;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][8]["high"] = 65;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][8]["max"] = 80;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][9]["min"] = 20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][9]["low"] = 40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][9]["high"] = 60;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][9]["max"] = 75;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][10]["min"] = 0;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][10]["low"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][10]["high"] = 50;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][10]["max"] = 65;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][11]["min"] = -20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][11]["low"] = 15;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][11]["high"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][11]["max"] = 60;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][12]["min"] = -40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][12]["low"] = 10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][12]["high"] = 18;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainCoastStr")][12]["max"] = 50;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][1]["min"] = -40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][1]["low"] = -10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][1]["high"] = 0;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][1]["max"] = 35;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][2]["min"] = -40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][2]["low"] = -10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][2]["high"] = 0;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][2]["max"] = 40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][3]["min"] = -30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][3]["low"] = 0;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][3]["high"] = 10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][3]["max"] = 40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][4]["min"] = -20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][4]["low"] = 10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][4]["high"] = 25;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][4]["max"] = 40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][5]["min"] = 10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][5]["low"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][5]["high"] = 50;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][5]["max"] = 65;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][6]["min"] = 20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][6]["low"] = 40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][6]["high"] = 60;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][6]["max"] = 70;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][7]["min"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][7]["low"] = 45;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][7]["high"] = 65;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][7]["max"] = 80;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][8]["min"] = 20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][8]["low"] = 45;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][8]["high"] = 65;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][8]["max"] = 80;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][9]["min"] = 10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][9]["low"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][9]["high"] = 50;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][9]["max"] = 80;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][10]["min"] = 10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][10]["low"] = 15;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][10]["high"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][10]["max"] = 65;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][11]["min"] = -20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][11]["low"] = 0;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][11]["high"] = 10;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][11]["max"] = 60;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][12]["min"] = -40;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][12]["low"] = -20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][12]["high"] = -5;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainDesertStr")][12]["max"] = 35;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][1]["min"] = -38;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][1]["low"] = 2;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][1]["high"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][1]["max"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][2]["min"] = -38;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][2]["low"] = 2;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][2]["high"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][2]["max"] = 37;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][3]["min"] = -28;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][3]["low"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][3]["high"] = 27;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][3]["max"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][4]["min"] = -8;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][4]["low"] = 22;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][4]["high"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][4]["max"] = 62;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][5]["min"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][5]["low"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][5]["high"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][5]["max"] = 72;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][6]["min"] = 22;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][6]["low"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][6]["high"] = 62;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][6]["max"] = 77;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][7]["min"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][7]["low"] = 47;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][7]["high"] = 67;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][7]["max"] = 82;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][8]["min"] = 22;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][8]["low"] = 47;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][8]["high"] = 67;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][8]["max"] = 82;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][9]["min"] = 17;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][9]["low"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][9]["high"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][9]["max"] = 77;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][10]["min"] = 2;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][10]["low"] = 22;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][10]["high"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][10]["max"] = 62;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][11]["min"] = -28;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][11]["low"] = 17;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][11]["high"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][11]["max"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][12]["min"] = -38;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][12]["low"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][12]["high"] = 20;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainForestStr")][12]["max"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][1]["min"] = -34;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][1]["low"] = -4;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][1]["high"] = 6;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][1]["max"] = 41;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][2]["min"] = -34;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][2]["low"] = -4;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][2]["high"] = 6;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][2]["max"] = 41;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][3]["min"] = -24;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][3]["low"] = 16;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][3]["high"] = 24;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][3]["max"] = 46;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][4]["min"] = -14;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][4]["low"] = 16;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][4]["high"] = 31;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][4]["max"] = 46;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][5]["min"] = 16;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][5]["low"] = 36;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][5]["high"] = 56;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][5]["max"] = 76;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][6]["min"] = 26;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][6]["low"] = 46;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][6]["high"] = 66;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][6]["max"] = 76;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][7]["min"] = 26;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][7]["low"] = 51;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][7]["high"] = 71;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][7]["max"] = 81;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][8]["min"] = 21;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][8]["low"] = 51;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][8]["high"] = 71;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][8]["max"] = 81;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][9]["min"] = 16;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][9]["low"] = 36;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][9]["high"] = 56;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][9]["max"] = 71;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][10]["min"] = -4;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][10]["low"] = 26;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][10]["high"] = 46;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][10]["max"] = 66;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][11]["min"] = -24;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][11]["low"] = 16;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][11]["high"] = 31;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][11]["max"] = 56;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][12]["min"] = -34;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][12]["low"] = -4;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][12]["high"] = 6;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainHillsStr")][12]["max"] = 46;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][1]["min"] = -28;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][1]["low"] = -8;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][1]["high"] = 7;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][1]["max"] = 47;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][2]["min"] = -28;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][2]["low"] = 2;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][2]["high"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][2]["max"] = 47;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][3]["min"] = -28;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][3]["low"] = 22;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][3]["high"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][3]["max"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][4]["min"] = -18;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][4]["low"] = 27;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][4]["high"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][4]["max"] = 72;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][5]["min"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][5]["low"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][5]["high"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][5]["max"] = 77;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][6]["min"] = 27;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][6]["low"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][6]["high"] = 62;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][6]["max"] = 77;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][7]["min"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][7]["low"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][7]["high"] = 72;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][7]["max"] = 82;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][8]["min"] = 27;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][8]["low"] = 57;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][8]["high"] = 77;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][8]["max"] = 82;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][9]["min"] = 22;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][9]["low"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][9]["high"] = 62;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][9]["max"] = 77;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][10]["min"] = 2;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][10]["low"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][10]["high"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][10]["max"] = 72;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][11]["min"] = -18;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][11]["low"] = 22;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][11]["high"] = 30;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][11]["max"] = 62;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][12]["min"] = -28;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][12]["low"] = 2;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][12]["high"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainMountainsStr")][12]["max"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][1]["min"] = -38;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][1]["low"] = -8;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][1]["high"] = 2;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][1]["max"] = 37;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][2]["min"] = -38;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][2]["low"] = -8;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][2]["high"] = 2;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][2]["max"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][3]["min"] = -28;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][3]["low"] = 2;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][3]["high"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][3]["max"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][4]["min"] = -18;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][4]["low"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][4]["high"] = 27;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][4]["max"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][5]["min"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][5]["low"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][5]["high"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][5]["max"] = 67;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][6]["min"] = 22;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][6]["low"] = 42;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][6]["high"] = 62;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][6]["max"] = 72;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][7]["min"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][7]["low"] = 47;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][7]["high"] = 67;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][7]["max"] = 82;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][8]["min"] = 22;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][8]["low"] = 47;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][8]["high"] = 67;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][8]["max"] = 82;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][9]["min"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][9]["low"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][9]["high"] = 52;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][9]["max"] = 72;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][10]["min"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][10]["low"] = 17;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][10]["high"] = 32;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][10]["max"] = 67;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][11]["min"] = -18;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][11]["low"] = 2;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][11]["high"] = 12;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][11]["max"] = 62;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][12]["min"] = -38;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][12]["low"] = -18;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][12]["high"] = -3;
	aTempTable[Interface.getString("sClimateSubarcticStr")][Interface.getString("sTerrainPlainsStr")][12]["max"] = 37;
	aTempTable[Interface.getString("sClimateTemperateStr")] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][1] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][1]["min"] = 0;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][1]["low"] = 20;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][1]["high"] = 40;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][1]["max"] = 65;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][2] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][2]["min"] = 10;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][2]["low"] = 30;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][2]["high"] = 50;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][2]["max"] = 70;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][3] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][3]["min"] = 15;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][3]["low"] = 30;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][3]["high"] = 50;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][3]["max"] = 80;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][4] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][4]["min"] = 30;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][4]["low"] = 40;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][4]["high"] = 60;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][4]["max"] = 85;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][5] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][5]["min"] = 30;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][5]["low"] = 45;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][5]["high"] = 65;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][5]["max"] = 85;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][6] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][6]["min"] = 40;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][6]["low"] = 55;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][6]["high"] = 70;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][6]["max"] = 95;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][7] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][7]["min"] = 45;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][7]["low"] = 55;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][7]["high"] = 75;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][7]["max"] = 100;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][8] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][8]["min"] = 45;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][8]["low"] = 55;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][8]["high"] = 75;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][8]["max"] = 95;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][9] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][9]["min"] = 40;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][9]["low"] = 55;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][9]["high"] = 70;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][9]["max"] = 95;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][10] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][10]["min"] = 30;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][10]["low"] = 40;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][10]["high"] = 60;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][10]["max"] = 85;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][11] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][11]["min"] = 10;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][11]["low"] = 30;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][11]["high"] = 50;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][11]["max"] = 75;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][12] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][12]["min"] = 0;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][12]["low"] = 30;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][12]["high"] = 50;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainCoastStr")][12]["max"] = 65;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][1] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][1]["min"] = 30;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][1]["low"] = 45;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][1]["high"] = 65;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][1]["max"] = 85;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][2] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][2]["min"] = 30;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][2]["low"] = 45;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][2]["high"] = 65;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][2]["max"] = 85;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][3] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][3]["min"] = 40;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][3]["low"] = 45;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][3]["high"] = 65;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][3]["max"] = 85;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][4] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][4]["min"] = 45;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][4]["low"] = 50;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][4]["high"] = 70;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][4]["max"] = 95;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][5] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][5]["min"] = 45;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][5]["low"] = 55;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][5]["high"] = 75;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][5]["max"] = 100;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][6] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][6]["min"] = 55;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][6]["low"] = 55;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][6]["high"] = 75;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][6]["max"] = 115;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][7] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][7]["min"] = 70;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][7]["low"] = 80;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][7]["high"] = 105;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][7]["max"] = 115;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][8] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][8]["min"] = 70;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][8]["low"] = 80;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][8]["high"] = 105;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][8]["max"] = 115;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][9] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][9]["min"] = 60;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][9]["low"] = 75;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][9]["high"] = 95;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][9]["max"] = 105;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][10] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][10]["min"] = 50;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][10]["low"] = 65;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][10]["high"] = 85;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][10]["max"] = 100;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][11] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][11]["min"] = 40;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][11]["low"] = 65;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][11]["high"] = 80;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][11]["max"] = 100;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][12] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][12]["min"] = 30;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][12]["low"] = 45;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][12]["high"] = 65;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainDesertStr")][12]["max"] = 80;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][1] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][1]["min"] = -18;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][1]["low"] = 12;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][1]["high"] = 20;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][1]["max"] = 62;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][2] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][2]["min"] = -28;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][2]["low"] = 12;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][2]["high"] = 20;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][2]["max"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][3] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][3]["min"] = 2;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][3]["low"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][3]["high"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][3]["max"] = 77;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][4] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][4]["min"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][4]["low"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][4]["high"] = 62;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][4]["max"] = 77;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][5] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][5]["min"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][5]["low"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][5]["high"] = 72;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][5]["max"] = 92;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][6] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][6]["min"] = 47;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][6]["low"] = 57;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][6]["high"] = 77;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][6]["max"] = 92;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][7] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][7]["min"] = 47;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][7]["low"] = 67;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][7]["high"] = 87;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][7]["max"] = 102;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][8] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][8]["min"] = 47;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][8]["low"] = 67;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][8]["high"] = 87;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][8]["max"] = 102;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][9] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][9]["min"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][9]["low"] = 57;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][9]["high"] = 77;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][9]["max"] = 92;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][10] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][10]["min"] = 22;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][10]["low"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][10]["high"] = 72;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][10]["max"] = 82;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][11] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][11]["min"] = 12;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][11]["low"] = 22;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][11]["high"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][11]["max"] = 62;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][12] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][12]["min"] = -8;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][12]["low"] = 22;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][12]["high"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainForestStr")][12]["max"] = 62;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][1] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][1]["min"] = -24;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][1]["low"] = 21;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][1]["high"] = 41;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][1]["max"] = 66;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][2] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][2]["min"] = -14;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][2]["low"] = 26;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][2]["high"] = 46;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][2]["max"] = 71;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][3] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][3]["min"] = 6;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][3]["low"] = 36;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][3]["high"] = 56;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][3]["max"] = 81;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][4] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][4]["min"] = 21;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][4]["low"] = 46;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][4]["high"] = 66;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][4]["max"] = 86;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][5] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][5]["min"] = 26;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][5]["low"] = 61;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][5]["high"] = 76;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][5]["max"] = 91;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][6] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][6]["min"] = 26;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][6]["low"] = 66;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][6]["high"] = 86;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][6]["max"] = 106;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][7] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][7]["min"] = 46;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][7]["low"] = 76;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][7]["high"] = 91;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][7]["max"] = 111;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][8] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][8]["min"] = 46;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][8]["low"] = 76;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][8]["high"] = 91;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][8]["max"] = 111;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][9] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][9]["min"] = 36;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][9]["low"] = 66;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][9]["high"] = 86;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][9]["max"] = 101;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][10] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][10]["min"] = 26;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][10]["low"] = 56;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][10]["high"] = 76;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][10]["max"] = 91;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][11] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][11]["min"] = 16;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][11]["low"] = 36;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][11]["high"] = 56;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][11]["max"] = 81;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][12] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][12]["min"] = -14;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][12]["low"] = 26;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][12]["high"] = 46;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainHillsStr")][12]["max"] = 71;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][1] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][1]["min"] = -28;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][1]["low"] = 27;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][1]["high"] = 47;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][1]["max"] = 72;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][2] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][2]["min"] = -18;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][2]["low"] = 27;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][2]["high"] = 47;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][2]["max"] = 77;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][3] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][3]["min"] = -8;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][3]["low"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][3]["high"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][3]["max"] = 82;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][4] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][4]["min"] = 12;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][4]["low"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][4]["high"] = 62;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][4]["max"] = 92;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][5] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][5]["min"] = 22;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][5]["low"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][5]["high"] = 72;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][5]["max"] = 97;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][6] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][6]["min"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][6]["low"] = 67;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][6]["high"] = 82;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][6]["max"] = 102;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][7] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][7]["min"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][7]["low"] = 72;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][7]["high"] = 92;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][7]["max"] = 112;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][8] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][8]["min"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][8]["low"] = 72;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][8]["high"] = 92;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][8]["max"] = 107;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][9] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][9]["min"] = 27;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][9]["low"] = 62;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][9]["high"] = 82;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][9]["max"] = 102;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][10] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][10]["min"] = 12;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][10]["low"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][10]["high"] = 72;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][10]["max"] = 97;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][11] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][11]["min"] = -8;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][11]["low"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][11]["high"] = 62;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][11]["max"] = 92;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][12] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][12]["min"] = -18;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][12]["low"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][12]["high"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainMountainsStr")][12]["max"] = 72;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][1] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][1]["min"] = -28;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][1]["low"] = 17;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][1]["high"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][1]["max"] = 67;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][2] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][2]["min"] = -18;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][2]["low"] = 17;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][2]["high"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][2]["max"] = 72;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][3] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][3]["min"] = -8;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][3]["low"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][3]["high"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][3]["max"] = 82;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][4] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][4]["min"] = 12;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][4]["low"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][4]["high"] = 62;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][4]["max"] = 87;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][5] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][5]["min"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][5]["low"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][5]["high"] = 72;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][5]["max"] = 92;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][6] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][6]["min"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][6]["low"] = 57;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][6]["high"] = 77;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][6]["max"] = 102;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][7] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][7]["min"] = 47;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][7]["low"] = 67;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][7]["high"] = 87;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][7]["max"] = 107;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][8] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][8]["min"] = 47;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][8]["low"] = 67;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][8]["high"] = 87;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][8]["max"] = 107;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][9] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][9]["min"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][9]["low"] = 57;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][9]["high"] = 77;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][9]["max"] = 97;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][10] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][10]["min"] = 12;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][10]["low"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][10]["high"] = 62;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][10]["max"] = 87;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][11] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][11]["min"] = 2;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][11]["low"] = 32;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][11]["high"] = 52;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][11]["max"] = 82;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][12] = {};
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][12]["min"] = -18;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][12]["low"] = 22;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][12]["high"] = 42;
	aTempTable[Interface.getString("sClimateTemperateStr")][Interface.getString("sTerrainPlainsStr")][12]["max"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][1]["min"] = 40;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][1]["low"] = 45;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][1]["high"] = 65;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][1]["max"] = 90;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][2]["min"] = 30;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][2]["low"] = 45;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][2]["high"] = 65;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][2]["max"] = 90;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][3]["min"] = 30;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][3]["low"] = 55;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][3]["high"] = 70;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][3]["max"] = 95;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][4]["min"] = 40;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][4]["low"] = 55;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][4]["high"] = 75;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][4]["max"] = 100;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][5]["min"] = 45;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][5]["low"] = 60;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][5]["high"] = 80;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][5]["max"] = 100;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][6]["min"] = 45;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][6]["low"] = 65;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][6]["high"] = 85;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][6]["max"] = 105;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][7]["min"] = 50;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][7]["low"] = 65;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][7]["high"] = 85;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][7]["max"] = 105;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][8]["min"] = 50;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][8]["low"] = 65;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][8]["high"] = 85;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][8]["max"] = 105;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][9]["min"] = 45;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][9]["low"] = 65;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][9]["high"] = 80;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][9]["max"] = 100;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][10]["min"] = 40;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][10]["low"] = 60;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][10]["high"] = 80;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][10]["max"] = 95;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][11]["min"] = 30;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][11]["low"] = 55;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][11]["high"] = 70;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][11]["max"] = 90;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][12]["min"] = 30;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][12]["low"] = 45;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][12]["high"] = 65;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainCoastStr")][12]["max"] = 90;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][1]["min"] = 40;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][1]["low"] = 55;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][1]["high"] = 75;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][1]["max"] = 85;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][2]["min"] = 40;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][2]["low"] = 55;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][2]["high"] = 75;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][2]["max"] = 90;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][3]["min"] = 45;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][3]["low"] = 65;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][3]["high"] = 85;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][3]["max"] = 95;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][4]["min"] = 50;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][4]["low"] = 70;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][4]["high"] = 85;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][4]["max"] = 100;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][5]["min"] = 55;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][5]["low"] = 70;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][5]["high"] = 85;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][5]["max"] = 100;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][6]["min"] = 80;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][6]["low"] = 75;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][6]["high"] = 90;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][6]["max"] = 105;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][7]["min"] = 70;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][7]["low"] = 80;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][7]["high"] = 100;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][7]["max"] = 115;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][8]["min"] = 70;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][8]["low"] = 80;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][8]["high"] = 100;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][8]["max"] = 115;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][9]["min"] = 80;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][9]["low"] = 70;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][9]["high"] = 90;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][9]["max"] = 105;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][10]["min"] = 55;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][10]["low"] = 70;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][10]["high"] = 90;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][10]["max"] = 105;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][11]["min"] = 50;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][11]["low"] = 65;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][11]["high"] = 85;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][11]["max"] = 100;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][12]["min"] = 45;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][12]["low"] = 55;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][12]["high"] = 75;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainDesertStr")][12]["max"] = 95;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][1]["min"] = 42;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][1]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][1]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][1]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][2]["min"] = 42;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][2]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][2]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][2]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][3]["min"] = 47;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][3]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][3]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][3]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][4]["min"] = 52;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][4]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][4]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][4]["max"] = 97;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][5]["min"] = 52;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][5]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][5]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][5]["max"] = 102;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][6]["min"] = 57;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][6]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][6]["high"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][6]["max"] = 102;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][7]["min"] = 57;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][7]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][7]["high"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][7]["max"] = 102;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][8]["min"] = 57;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][8]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][8]["high"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][8]["max"] = 102;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][9]["min"] = 57;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][9]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][9]["high"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][9]["max"] = 97;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][10]["min"] = 52;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][10]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][10]["high"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][10]["max"] = 97;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][11]["min"] = 47;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][11]["low"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][11]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][11]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][12]["min"] = 42;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][12]["low"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][12]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainForestStr")][12]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][1]["min"] = 36;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][1]["low"] = 56;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][1]["high"] = 76;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][1]["max"] = 86;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][2]["min"] = 36;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][2]["low"] = 61;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][2]["high"] = 76;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][2]["max"] = 86;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][3]["min"] = 46;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][3]["low"] = 66;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][3]["high"] = 86;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][3]["max"] = 96;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][4]["min"] = 51;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][4]["low"] = 71;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][4]["high"] = 91;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][4]["max"] = 96;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][5]["min"] = 56;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][5]["low"] = 76;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][5]["high"] = 91;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][5]["max"] = 101;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][6]["min"] = 61;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][6]["low"] = 76;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][6]["high"] = 96;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][6]["max"] = 106;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][7]["min"] = 61;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][7]["low"] = 76;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][7]["high"] = 96;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][7]["max"] = 106;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][8]["min"] = 61;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][8]["low"] = 76;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][8]["high"] = 96;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][8]["max"] = 111;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][9]["min"] = 56;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][9]["low"] = 71;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][9]["high"] = 91;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][9]["max"] = 106;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][10]["min"] = 51;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][10]["low"] = 66;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][10]["high"] = 86;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][10]["max"] = 96;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][11]["min"] = 46;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][11]["low"] = 61;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][11]["high"] = 81;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][11]["max"] = 91;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][12]["min"] = 36;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][12]["low"] = 56;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][12]["high"] = 76;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainHillsStr")][12]["max"] = 86;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][1]["min"] = 42;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][1]["low"] = 57;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][1]["high"] = 77;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][1]["max"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][2]["min"] = 42;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][2]["low"] = 57;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][2]["high"] = 77;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][2]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][3]["min"] = 52;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][3]["low"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][3]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][3]["max"] = 97;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][4]["min"] = 52;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][4]["low"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][4]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][4]["max"] = 97;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][5]["min"] = 57;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][5]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][5]["high"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][5]["max"] = 102;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][6]["min"] = 62;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][6]["low"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][6]["high"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][6]["max"] = 102;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][7]["min"] = 62;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][7]["low"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][7]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][7]["max"] = 97;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][8]["min"] = 62;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][8]["low"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][8]["high"] = 82;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][8]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][9]["min"] = 52;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][9]["low"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][9]["high"] = 82;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][9]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][10]["min"] = 52;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][10]["low"] = 62;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][10]["high"] = 82;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][10]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][11]["min"] = 52;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][11]["low"] = 62;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][11]["high"] = 82;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][11]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][12]["min"] = 42;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][12]["low"] = 57;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][12]["high"] = 77;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainMountainsStr")][12]["max"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][1] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][1]["min"] = 42;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][1]["low"] = 52;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][1]["high"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][1]["max"] = 82;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][2] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][2]["min"] = 32;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][2]["low"] = 57;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][2]["high"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][2]["max"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][3] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][3]["min"] = 47;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][3]["low"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][3]["high"] = 82;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][3]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][4] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][4]["min"] = 52;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][4]["low"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][4]["high"] = 87;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][4]["max"] = 102;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][5] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][5]["min"] = 82;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][5]["low"] = 77;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][5]["high"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][5]["max"] = 102;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][6] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][6]["min"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][6]["low"] = 77;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][6]["high"] = 97;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][6]["max"] = 107;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][7] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][7]["min"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][7]["low"] = 77;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][7]["high"] = 97;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][7]["max"] = 117;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][8] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][8]["min"] = 72;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][8]["low"] = 77;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][8]["high"] = 97;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][8]["max"] = 117;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][9] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][9]["min"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][9]["low"] = 77;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][9]["high"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][9]["max"] = 107;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][10] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][10]["min"] = 62;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][10]["low"] = 77;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][10]["high"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][10]["max"] = 107;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][11] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][11]["min"] = 47;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][11]["low"] = 67;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][11]["high"] = 82;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][11]["max"] = 92;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][12] = {};
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][12]["min"] = 42;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][12]["low"] = 57;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][12]["high"] = 77;
	aTempTable[Interface.getString("sClimateSubtropicalStr")][Interface.getString("sTerrainPlainsStr")][12]["max"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][1] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][1]["min"] = 55;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][1]["low"] = 65;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][1]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][1]["max"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][2] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][2]["min"] = 55;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][2]["low"] = 65;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][2]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][2]["max"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][3] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][3]["min"] = 55;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][3]["low"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][3]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][3]["max"] = 95;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][4] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][4]["min"] = 60;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][4]["low"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][4]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][4]["max"] = 100;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][5] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][5]["min"] = 60;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][5]["low"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][5]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][5]["max"] = 100;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][6] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][6]["min"] = 80;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][6]["low"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][6]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][6]["max"] = 105;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][7] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][7]["min"] = 80;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][7]["low"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][7]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][7]["max"] = 100;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][8] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][8]["min"] = 80;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][8]["low"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][8]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][8]["max"] = 100;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][9] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][9]["min"] = 80;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][9]["low"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][9]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][9]["max"] = 95;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][10] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][10]["min"] = 60;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][10]["low"] = 65;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][10]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][10]["max"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][11] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][11]["min"] = 60;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][11]["low"] = 65;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][11]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][11]["max"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][12] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][12]["min"] = 55;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][12]["low"] = 65;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][12]["high"] = 80;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainCoastStr")][12]["max"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][1] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][1]["min"] = 55;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][1]["low"] = 65;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][1]["high"] = 80;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][1]["max"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][2] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][2]["min"] = 55;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][2]["low"] = 65;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][2]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][2]["max"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][3] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][3]["min"] = 55;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][3]["low"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][3]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][3]["max"] = 95;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][4] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][4]["min"] = 55;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][4]["low"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][4]["high"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][4]["max"] = 100;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][5] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][5]["min"] = 60;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][5]["low"] = 75;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][5]["high"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][5]["max"] = 105;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][6] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][6]["min"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][6]["low"] = 75;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][6]["high"] = 95;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][6]["max"] = 115;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][7] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][7]["min"] = 75;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][7]["low"] = 80;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][7]["high"] = 105;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][7]["max"] = 115;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][8] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][8]["min"] = 75;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][8]["low"] = 80;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][8]["high"] = 105;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][8]["max"] = 115;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][9] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][9]["min"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][9]["low"] = 80;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][9]["high"] = 100;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][9]["max"] = 105;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][10] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][10]["min"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][10]["low"] = 75;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][10]["high"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][10]["max"] = 100;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][11] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][11]["min"] = 80;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][11]["low"] = 70;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][11]["high"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][11]["max"] = 95;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][12] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][12]["min"] = 60;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][12]["low"] = 65;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][12]["high"] = 85;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainDesertStr")][12]["max"] = 90;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][1] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][1]["min"] = 47;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][1]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][1]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][1]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][2] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][2]["min"] = 42;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][2]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][2]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][2]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][3] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][3]["min"] = 47;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][3]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][3]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][3]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][4] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][4]["min"] = 57;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][4]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][4]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][4]["max"] = 102;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][5] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][5]["min"] = 57;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][5]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][5]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][5]["max"] = 102;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][6] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][6]["min"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][6]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][6]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][6]["max"] = 102;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][7] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][7]["min"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][7]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][7]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][7]["max"] = 102;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][8] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][8]["min"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][8]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][8]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][8]["max"] = 102;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][9] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][9]["min"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][9]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][9]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][9]["max"] = 102;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][10] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][10]["min"] = 57;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][10]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][10]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][10]["max"] = 102;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][11] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][11]["min"] = 57;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][11]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][11]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][11]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][12] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][12]["min"] = 47;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][12]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][12]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainForestStr")][12]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][1] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][1]["min"] = 51;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][1]["low"] = 61;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][1]["high"] = 81;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][1]["max"] = 86;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][2] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][2]["min"] = 56;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][2]["low"] = 61;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][2]["high"] = 81;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][2]["max"] = 91;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][3] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][3]["min"] = 56;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][3]["low"] = 71;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][3]["high"] = 86;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][3]["max"] = 91;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][4] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][4]["min"] = 61;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][4]["low"] = 71;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][4]["high"] = 86;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][4]["max"] = 96;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][5] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][5]["min"] = 61;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][5]["low"] = 76;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][5]["high"] = 91;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][5]["max"] = 106;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][6] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][6]["min"] = 66;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][6]["low"] = 76;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][6]["high"] = 96;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][6]["max"] = 111;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][7] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][7]["min"] = 71;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][7]["low"] = 81;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][7]["high"] = 101;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][7]["max"] = 121;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][8] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][8]["min"] = 71;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][8]["low"] = 81;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][8]["high"] = 101;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][8]["max"] = 121;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][9] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][9]["min"] = 71;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][9]["low"] = 81;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][9]["high"] = 96;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][9]["max"] = 111;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][10] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][10]["min"] = 66;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][10]["low"] = 76;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][10]["high"] = 91;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][10]["max"] = 101;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][11] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][11]["min"] = 61;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][11]["low"] = 71;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][11]["high"] = 86;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][11]["max"] = 96;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][12] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][12]["min"] = 56;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][12]["low"] = 66;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][12]["high"] = 86;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainHillsStr")][12]["max"] = 91;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][1] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][1]["min"] = 57;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][1]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][1]["high"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][1]["max"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][2] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][2]["min"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][2]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][2]["high"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][2]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][3] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][3]["min"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][3]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][3]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][3]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][4] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][4]["min"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][4]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][4]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][4]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][5] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][5]["min"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][5]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][5]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][5]["max"] = 102;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][6] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][6]["min"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][6]["low"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][6]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][6]["max"] = 102;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][7] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][7]["min"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][7]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][7]["high"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][7]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][8] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][8]["min"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][8]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][8]["high"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][8]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][9] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][9]["min"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][9]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][9]["high"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][9]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][10] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][10]["min"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][10]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][10]["high"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][10]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][11] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][11]["min"] = 57;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][11]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][11]["high"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][11]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][12] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][12]["min"] = 57;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][12]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][12]["high"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainMountainsStr")][12]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][1] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][1]["min"] = 47;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][1]["low"] = 57;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][1]["high"] = 77;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][1]["max"] = 82;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][2] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][2]["min"] = 52;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][2]["low"] = 62;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][2]["high"] = 82;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][2]["max"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][3] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][3]["min"] = 52;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][3]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][3]["high"] = 82;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][3]["max"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][4] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][4]["min"] = 57;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][4]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][4]["high"] = 82;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][4]["max"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][5] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][5]["min"] = 82;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][5]["low"] = 77;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][5]["high"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][5]["max"] = 107;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][6] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][6]["min"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][6]["low"] = 77;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][6]["high"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][6]["max"] = 107;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][7] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][7]["min"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][7]["low"] = 77;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][7]["high"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][7]["max"] = 117;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][8] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][8]["min"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][8]["low"] = 77;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][8]["high"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][8]["max"] = 117;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][9] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][9]["min"] = 72;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][9]["low"] = 77;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][9]["high"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][9]["max"] = 107;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][10] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][10]["min"] = 82;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][10]["low"] = 77;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][10]["high"] = 92;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][10]["max"] = 107;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][11] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][11]["min"] = 57;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][11]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][11]["high"] = 87;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][11]["max"] = 97;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][12] = {};
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][12]["min"] = 52;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][12]["low"] = 67;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][12]["high"] = 82;
	aTempTable[Interface.getString("sClimateTropicalStr")][Interface.getString("sTerrainPlainsStr")][12]["max"] = 92;
end
